/*  GSMP - General Sound Manipulation Program
 *  Copyright (C) 2000-2002 Ren Rebe, Kristian Peters and Valentin Ziegler
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Short Description:
 *   The About dialog.
 */

#include "plugins-gtk/AboutDialog.hh"

#include <gtk--/button.h>
#include "config.hh"

using namespace GSMP;
using namespace GSML;

AboutDialog::AboutDialog ()
{
  set_title ("About GSMP");
  
  get_vbox () -> set_border_width (10);
  get_vbox () -> set_spacing (10);
  
  /* add label here */
  Gtk::Label* t_label1 = manage (new Gtk::Label ("GSMP\n\nVersion: " VERSION_STRING) );
  get_vbox () -> pack_start (*t_label1);
  
  /* add another label */
  Gtk::Label *t_label2 = manage (new Gtk::Label ("\nThe upcoming Wave-Editor ...\n\n(c) 2000-2002 Valentin Ziegler and Rene Rebe\n\nadditional programming by:\nEmmanuel Fleury\nKristian Peters") );
  get_vbox () -> pack_start (*t_label2);
  
  Gtk::Button* t_button = manage (new Gtk::Button ("Ok") );
  get_action_area ()->pack_start (*t_button);
  
  t_button->clicked.connect (destroy.slot() );
  
  show_all ();
}

AboutDialog::~AboutDialog ()
{
  cout << "YEAH: We get deleted ... (AboutDialog)" << endl;
}

void AboutDialogX::Execute ()
{
  manage (new AboutDialog () );
}
